Combine Latest
==============
A stream transformer applying an aggregation operation every time one
of the streams emit a new piece of data. Great for handling aggregate
state transformations in real time.

Example
-------
```dart
import 'dart:async';
import 'package:combine_latest/combine_latest.dart';

main() {
  var numbers  = new StreamController();
  var letters  = new StreamController();
  var animals  = new StreamController();
  var others   = [letters.stream, animals.stream];
  var combined = numbers.stream
                        .transform(new CombineLatest(others, (items) {
                            return items;
                        })).listen(print);

  numbers.add(1);
  numbers.add(2);
  letters.add('a');
  animals.add("Cat");
  numbers.add(3);
  letters.add('b');
  animals.add("Dog");
  numbers.add(4);
}
```
